#!/bin/sh

# An example of making SiLO somewhat more high-level.
# Should arrange buttons for programs from prg in the top-right
# corner in this order:
# 	9 2 1
# 	8 3 4
# 	7 6 5
# etc.
# Since only 2 programs are here, the example will probably not be 
# very exciting.
# Buttons are placed in the alphabetical order.

XPOS=0
YPOS=0
STATE=SL

cd prg/

for i in *; do
	echo $i
	silo "pushbutton ./$i ../img/${i}i.png ../img/${i}a.png X-x\*\($XPOS+1\) y\*$YPOS"&
	case $STATE in
	SL)
		XPOS=$(($XPOS+1))
		STATE=D
	;;
	SD)
		YPOS=$(($YPOS+1))
		STATE=L
	;;
	L)
		XPOS=$(($XPOS+1))
		if [ $XPOS = $YPOS ];then
			STATE=U
		fi
	;;
	R)
		XPOS=$(($XPOS-1))
		if [ $XPOS = 0 ];then
			STATE=SD
		fi
	;;
	U)
		YPOS=$(($YPOS-1))
		if [ $YPOS = 0 ];then
			STATE=SL
		fi
	;;
	D)
		YPOS=$(($YPOS+1))
		if [ $XPOS = $YPOS ];then
			STATE=R
		fi
	;;
	esac
done
